﻿using System.ComponentModel.DataAnnotations;
using Infrastructure.Base;
using Shared;

namespace Infrastructure.Entities;

public class User : EntityBase
{
    [Required]
    public string Name { get; set; }
    
    public int Age { get; set; }
    
    public float Height { get; set; } 

    public float Weight { get; set; }

    public bool Sexe { get; set; }
    
    public string Logo { get; set; }
    
    public int NbSessionPerWeek { get; set; }
    
    public string? EGoal { get; set; }
    
    public EHealthProblem EHealthProblem { get; set; }
    public ESport? ESport { get; set; }
    public ESleepLevel? ESleepLevel { get; set; }
    public ESportLevel? ESportLevel { get; set; }
    public string HashPassword { get; set; }
    
    public string? OAuthProvider { get; set; }
    
    public string? OAuthId { get; set; }
    
    //public Program { get; set; }
    public override string ToString()
    {
        return $"\t------------User Id : {Id} ------------- :" +
               $"\n\tName : {Name} Age : {Age}";
    }
}