using Server.Dto.Request;
using Server.Dto.Response;
using Shared;

namespace Server.IServices
{
    public interface ISessionService
    {
        Task<PaginatedResult<ResponseSessionDto>> GetSessions(int page, int size, bool ascending = true);
        Task<ResponseSessionDto?> GetSessionById(string id);
        Task<ResponseSessionDto> CreateSession(RequestSessionDto request);
        Task<ResponseSessionDto?> UpdateSession(string id, RequestSessionDto request);
        Task<bool> DeleteSession(string id);
    }
}