using AutoMapper;
using Infrastructure.Entities;
using Server.Dto.Request;
using Server.Dto.Response;

namespace Server.Mappers
{
    public class SessionProfile : Profile
    {
        public SessionProfile()
        {
            CreateMap<Session, ResponseSessionDto>()
                .ForMember(dest => dest.Exercices, opt => opt.MapFrom(src => src.Exercices));

            CreateMap<RequestSessionDto, Session>()
                .ForMember(dest => dest.Exercices, opt => opt.Ignore());
        }
    }
}