using AutoMapper;
using Infrastructure.Entities;
using Server.Dto.Request;
using Server.Dto.Response;

namespace Server.Mappers
{
    public class TrainingProgramProfile : Profile
    {
        public TrainingProgramProfile()
        {
            CreateMap<TrainingProgram, ResponseTrainingProgramDto>()
                .ForMember(dest => dest.Sessions, opt => opt.MapFrom(src => src.Sessions));

            CreateMap<RequestTrainingProgramDto, TrainingProgram>()
                .ForMember(dest => dest, opt => opt.Ignore());
        }
    }
}